import { StringUtilsErrorMap } from '../TYPES';
/**
 * Function to generate random ID using epoch time with random number.
 *
 * @param [length=15] Length of the ID required
 * @returns Random ID string of specified length
 */
export declare function randomId(length?: RandomIdLength): string;
/** @ignore */
export declare const RANDOM_ID_MULTIPLIER: RandomIdMultipler;
/** @ignore */
export declare const RANDOM_ID_ERROR_INVAILD_LENGTH_ERROR: StringUtilsErrorMap;
/**
 * Type definition for length values as integer of random ID.
 *
 * @typedef {RandomIdLength}
 */
export type RandomIdLength = 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20;
/** @ignore */
export type RandomIdMultipler = {
    [key in RandomIdLength]: number;
};
